Page MenuHomePhabricator

RCFilters UI ViewModel: Create group models in the ViewModel and attach to FilterGroupWidgets
Closed, ResolvedPublic

Description

Filter groups are represented with a simple object in the view model, but they are starting to get fairly complex in the analysis they should perform, and there is starting to be a need for widgets to listen to update events (more specifically, mw.rcfilters.ui.FilterGroupWidgets)

We should transform this.group object storage into an array of mw.rcfilters.dm.FilterGroup models that mixin OO.EventEmitter, emit 'update' events, and have mw.rcfilters.ui.FilterGroupWidget listen to its relevant model's update event.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2017, 10:26 PM

Change 335177 had a related patch set uploaded (by Mooeypoo):
[wip^2] Make 'groups' a model in the FiltersViewModel

https://gerrit.wikimedia.org/r/335177

Mooeypoo claimed this task.Jan 31 2017, 1:19 AM

Change 335177 merged by jenkins-bot:
Make 'groups' a data model in the FiltersViewModel

https://gerrit.wikimedia.org/r/335177

Change 336780 had a related patch set uploaded (by Sbisson):
RC filters: Let the group widget know its own name

https://gerrit.wikimedia.org/r/336780

Change 336780 merged by jenkins-bot:
RC filters: Let the group widget know its own name

https://gerrit.wikimedia.org/r/336780

This is mostly code-facing, and it fixes (or helps to fix) other reported bugs.
Not entirely sure if there's any QA to be done here, but moving to QA as a matter of process.

Etonkovidova closed this task as Resolved.Mar 3 2017, 7:32 PM